Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.image
Class FilteredImageSource

    java.lang.Object
      |
      +--java.awt.image.FilteredImageSource

All Implemented Interfaces:
  ImageProducer

public class FilteredImageSource
extends Object
implements ImageProducer

This class is an implementation of the ImageProducer interface which takes an existing image and a filter object and uses them to produce image data for a new filtered version of the original image. Here is an example which filters an image by swapping the red and blue compents:

    	Image src = getImage("doc:///demo/images/duke/T1.gif");
    	ImageFilter colorfilter = new RedBlueSwapFilter();
    	Image img = createImage(new FilteredImageSource(src.getSource(),
    							colorfilter));

See Also:
  `ImageProducer`

Constructor Summary
`FilteredImageSource(ImageProducer orig, ImageFilter imgf)` Constructs an ImageProducer object from an existing ImageProducer and a filter object.

Method Summary
`void` | `addConsumer(ImageConsumer ic)` Adds an ImageConsumer to the list of consumers interested in data for this image.
`boolean` | `isConsumer(ImageConsumer ic)` Determines whether an ImageConsumer is on the list of consumers currently interested in data for this image.
`void` | `removeConsumer(ImageConsumer ic)` Removes an ImageConsumer from the list of consumers interested in data for this image.
`void` | `requestTopDownLeftRightResend(ImageConsumer ic)` Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.
`void` | `startProduction(ImageConsumer ic)` Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately starts delivery of the image data through the ImageConsumer interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredImageSource

    public FilteredImageSource(ImageProducer orig,
                               ImageFilter imgf)

  Constructs an ImageProducer object from an existing ImageProducer and a filter object.

Parameters:
  `orig` - the specified `ImageProducer`
  `imgf` - the specified `ImageFilter`
See Also:
  `ImageFilter`, `Component.createImage(java.awt.image.ImageProducer)`

Method Detail

### addConsumer

    public void addConsumer(ImageConsumer ic)

  Adds an ImageConsumer to the list of consumers interested in data for this image.

  Specified by:
    `addConsumer` in interface `ImageProducer`
  Parameters:
    `ic` - the specified `ImageConsumer`
  See Also:
    `ImageConsumer`

### isConsumer

    public boolean isConsumer(ImageConsumer ic)

  Determines whether an ImageConsumer is on the list of consumers currently interested in data for this image.

  Specified by:
    `isConsumer` in interface `ImageProducer`
  Parameters:
    `ic` - the specified `ImageConsumer`
  Returns:
    true if the ImageConsumer is on the list; false otherwise
  See Also:
    `ImageConsumer`

### removeConsumer

    public void removeConsumer(ImageConsumer ic)

  Removes an ImageConsumer from the list of consumers interested in data for this image.

  Specified by:
    `removeConsumer` in interface `ImageProducer`
  Parameters:
    `ic` - the specified `ImageConsumer`
  See Also:
    `ImageConsumer`

### startProduction

    public void startProduction(ImageConsumer ic)

  Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately starts delivery of the image data through the ImageConsumer interface.

  Specified by:
    `startProduction` in interface `ImageProducer`
  Parameters:
    `ic` - the specified `ImageConsumer`
  See Also:
    `ImageConsumer`

### requestTopDownLeftRightResend

    public void requestTopDownLeftRightResend(ImageConsumer ic)

  Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order. The request is handed to the ImageFilter for further processing, since the ability to preserve the pixel ordering depends on the filter.

  Specified by:
    `requestTopDownLeftRightResend` in interface `ImageProducer`
  Parameters:
    `ic` - the specified `ImageConsumer`
  See Also:
    `ImageConsumer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.